<div class="container">
    <div class="row justify-content-start">
        <div *ngIf="(auth.user | async) as user; else guest">
            <h3>Hi, {{ user.displayName }}!</h3>
            <img *ngIf="user.photoURL" [src]="user.photoURL">
            <p *ngIf="user.favoriteColor">Favorite color: {{ user.favoriteColor }}</p>
            <button class="btn btn-danger d-block" (click)="auth.logOut()">
                <i class=""></i>Logout
            </button>
        </div>
    </div>
</div>

<ng-template #guest>
    <div>
        <h3>Howdy, GUEST</h3>
        <p>Login to get started...</p>
    </div>
</ng-template>